from math import sqrt

input = 90

def premiers(n):
  prem=list(range(2,n+1))
  k=2
  nRacine=sqrt(n)
  while k<nRacine:
    prem=[p for p in prem if p<=k or p%k!=0]
    k=prem[prem.index(k)+1]  # nouveau nombre premier
  return prem

table = premiers(2000000)
solution = list()

for i in range(len(table)-1):
    if table[i+1] - table[i] == input:
        if len(solution) < 10:
            solution.append(str(table[i+1]))

print(", ".join(solution))
